package jp.co.camnet.macs.dto;

import java.io.Serializable;

import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;
import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

/**
 * ログインユーザ情報Dto
 * 
 * @author matsuzaki
 * @version 1.0.0
 */
@Component(instance = InstanceType.SESSION)
public class UserInfoDto implements Serializable {

    /**
     * serialVersionUID
     */
    private static final long serialVersionUID = 1L;

    /**
     * ログインID
     */
    private String loginId;

    /**
     * Getter loginId
     * 
     * @return loginId を戻します。
     */
    public String getLoginId() {
        return loginId;
    }

    /**
     * Setter loginId
     * 
     * @param loginId
     *            設定する loginId。
     */
    public void setLoginId(String loginId) {
        this.loginId = loginId;
    }

    /**
     * toStringメソッド<br>
     * デバッグしやすいようにプロパティを「フィールド名=値」の形式で表示する。
     * 
     * @return 「フィールド名=値」の形式で繋げたデータ
     */
    @Override
    public String toString() {
        String ret = ToStringBuilder.reflectionToString(this,
                ToStringStyle.MULTI_LINE_STYLE).toString();
        return ret;
    }

}
